Page MenuHomePhabricator

View schemas in multiple languages
Closed, ResolvedPublic

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as High priority.Feb 14 2019, 2:53 PM
Lucas_Werkmeister_WMDE created this task.

Change 494255 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Show all languages when viewing schemas

https://gerrit.wikimedia.org/r/494255

Change 494255 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Show all languages when viewing schemas

https://gerrit.wikimedia.org/r/494255

Michael claimed this task.Mar 6 2019, 2:58 PM
Michael moved this task from Peer Review to Doing on the Shape Expressions Sprint 3 board.
Michael removed a project: Patch-For-Review.
Restricted Application added a project: User-Michael. · View Herald TranscriptMar 6 2019, 2:59 PM
Michael removed Michael as the assignee of this task.Mar 6 2019, 3:04 PM
Michael moved this task from Doing to Backlog on the Shape Expressions Sprint 3 board.
Michael removed a project: User-Michael.
Michael added a subscriber: Michael.

Change 494923 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Show schema name badges as table

https://gerrit.wikimedia.org/r/494923

Change 494931 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Use BCP-47 language codes in HTML

https://gerrit.wikimedia.org/r/494931

Change 494965 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Support multiple languages in SchemaDispatcher::getFullViewSchemaData()

https://gerrit.wikimedia.org/r/494965

Change 494923 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Show schema name badges as table

https://gerrit.wikimedia.org/r/494923

Change 494931 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Use BCP-47 language codes in HTML

https://gerrit.wikimedia.org/r/494931

Change 494965 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Support multiple languages in SchemaDispatcher::getFullViewSchemaData()

https://gerrit.wikimedia.org/r/494965

hoo added a subscriber: hoo.

@Lucas_Werkmeister_WMDE Is this fully done?

Lucas_Werkmeister_WMDE moved this task from Doing to Backlog on the Shape Expressions Sprint 3 board.

No, I think there’s more to do to improve the display. But I’ll unassign myself for now.

Change 495726 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Use interface messages for namebadges table headers

https://gerrit.wikimedia.org/r/495726

Okay, new patch is up. And after that I think it should be acceptable for now, and we can wait if Lydia or someone else asks for further improvements.

Change 495726 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Use interface messages for namebadges table headers

https://gerrit.wikimedia.org/r/495726

We just tested it and switched the UI to German. It looks all good. The only remaining issue we see is that the edit links in the "termbox" are not translated.

Change 496463 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Extract WikibaseSchemaSlotViewRenderer

https://gerrit.wikimedia.org/r/496463

Change 496464 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Introduce SpecificLanguageMessageLocalizer

https://gerrit.wikimedia.org/r/496464

Change 496465 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Render schema edit links in user language

https://gerrit.wikimedia.org/r/496465

Change 496463 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Extract WikibaseSchemaSlotViewRenderer

https://gerrit.wikimedia.org/r/496463

Change 496464 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Introduce SpecificLanguageMessageLocalizer

https://gerrit.wikimedia.org/r/496464

Change 496465 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Render schema edit links in user language

https://gerrit.wikimedia.org/r/496465

hoo removed a project: Patch-For-Review.
Lea_Lacroix_WMDE closed this task as Resolved.Mar 18 2019, 9:55 AM
Lea_Lacroix_WMDE moved this task from Verification to Done on the Shape Expressions Sprint 4 board.